<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <div class="container-fluid">
    <a class="navbar-brand" routerLink="home">Biletado</a>
    <ul ngbNav class="navbar-nav" routerLinkActive="active">
      <li *ngIf="!isLoggedIn" ngbNavItem="login"><a class="nav-link btn" (click)="login()">Log in</a></li>
      <li *ngIf="isLoggedIn" ngbNavItem="logout"><a class="nav-link btn" (click)="logout()">Log out</a></li>
      <li *ngIf="isLoggedIn" ngbNavItem="refresh"><a class="nav-link btn" (click)="updateToken(-1)">Refresh</a></li>
      <li *ngIf="isLoggedIn" ngbNavItem="idToken"><a class="nav-link btn" [ngClass]="{'active': jwtInfoCurrent == 'idTokenParsed'}" (click)="showKCVariable('idTokenParsed')">ID Token</a></li>
      <li *ngIf="isLoggedIn" ngbNavItem="token"><a class="nav-link btn" [ngClass]="{'active': jwtInfoCurrent == 'tokenParsed'}" (click)="showKCVariable('tokenParsed')">Access Token</a></li>
      <li *ngIf="isLoggedIn" ngbNavItem="apiToken"><a class="nav-link btn" [ngClass]="{'active': jwtInfoCurrent == 'serverTokenParsed'}" (click)="showKCVariable('serverTokenParsed')">API Token</a></li>
      <li *ngIf="isLoggedIn" ngbNavItem="refreshToken"><a class="nav-link btn" [ngClass]="{'active': jwtInfoCurrent == 'refreshTokenParsed'}" (click)="showKCVariable('refreshTokenParsed')">Refresh Token</a></li>
      <li *ngIf="objectKeys(apiStatus).length > 0" ngbDropdown class="nav-item">
        <a ngbDropdownToggle href (click)="false" class="nav-link">
          API Status
        </a>
        <ul ngbDropdownMenu class="dropdown-menu-end">
          <li *ngFor="let name of objectKeys(apiStatus)" ngbDropdownItem>
            <h4>{{name}}</h4>
            <ul *ngIf="apiStatus[name].statusCode >= 200 && apiStatus[name].statusCode < 400">
              <li *ngFor="let author of apiStatus[name].authors">{{author}}</li>
            </ul>
            <span *ngIf="!(apiStatus[name].statusCode >= 200 && apiStatus[name].statusCode < 400)">error! (status {{apiStatus[name].statusCode}})</span>
          </li>
        </ul>
      </li>
      <li *ngIf="dashboardUrls" ngbDropdown class="nav-item">
        <a ngbDropdownToggle href (click)="false" class="nav-link">
          Dashboards
        </a>
        <ul ngbDropdownMenu class="dropdown-menu-end">
          <li *ngFor="let key of objectKeys(dashboardUrls)" ngbDropdownItem><a class="nav-link" href="{{dashboardUrls[key]}}" target="_blank" rel="noreferrer noopener">{{key}}</a></li>
        </ul>
      </li>
    </ul>
  </div>
</nav>

<router-outlet></router-outlet>

<h1>biletado</h1>
<ng-container *ngIf="!isLoggedIn">
  <h2>Login required</h2>
  Please use the login-function in the navbar. <span class="font-monospace">biletado</span> is a valid username, you don't need a password.
</ng-container>

<ng-container *ngIf="isLoggedIn">
  <dl>
    <li>validUntil: {{jwtInfoValidUntil}}</li>
  </dl>
  <a href="https://jwt.io/?token={{jwtInfoRaw}}">open on jwt.io</a>
  <pre>
  {{jwtInfoString}}
  </pre>
</ng-container>
